# Gimp.Gradient.prototype.segment_range_flip

    function segment_range_flip(start_segment: Number(gint), end_segment: Number(gint)): Boolean {
        // Gjs wrapper for gimp_gradient_segment_range_flip()
    }

Flip the segment range

Reverses the order of segments in a range, and swaps the left and right colors in each segment. As if the range as a 1D line were rotated in a plane. Returns an error when a segment index is out of range, or gradient is not editable.

Since 2.2

start_segment

  Index of the first segment to operate on.

end_segment

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

Returns

  TRUE on success.